# Kiosk Checkout Customization

**This document outlines how to support the following flows:**

* Anonymous checkout
  * Forced anonymous checkout
  * Optional anonymous checkout
* Pre-populating name/phone number fields
* Custom redirect after checkout

## Anonymous Checkout

* [Reach out](mailto:roots@iheartjane.com) to us to ensure Jane has flagged your kiosk(s) to support anonymous checkout.
* Once your kiosk has been flagged for anonymous checkout, you have two options:

1. **Force anonymous checkout**&#x20;
   1. To do so, include the query param `/?anonymous=true` in the kiosk’s URL
   2. E.g. `express.iheartjane.com/stores/{store_id}/?anonymous=true`
   3. This will generate the following checkout page:

![](https://lh6.googleusercontent.com/n749WEBQPbKMUy_6euHZEOgBi4fIX4pZjIe10booqsTDY9okY548c6DiiDEvHWoSRxs8YLCIZDi95hqZi_0sostKPeL3A0pRwCNxcsjbQGkEoNRd51-oVWwChdQAoKIeiCI1oqMH)

2\. **Give users the option to anonymously checkout**&#x20;

1. Do so by not including the `/?anonymous=true` query param
2. E.g. `express.iheartjane.com/stores/{store_id}`
3. This will generate the following checkout page (note the “Check Out Anonymously” checkbox). Selecting “Check Out Anonymously” will only hide the phone number field. The name will still be required.

![](https://lh5.googleusercontent.com/7ZVrS86jHK7wDl-AAqq1WKDdTn5lIIUI0fTXdtHNZ1-2io-BRBPD17BULq2g68r2XkEX1018IyICu48GricEb9EVgn-855FmlA_6i3gInuieVu4VqJo0RlcKQugIK7uSKt1a4ylx)

## Pre-populate the name and phone number fields

You may pass in optional customer\_name and customer\_phone query params, which will auto-populate the name and phone number fields, e.g.:

```
express.iheartjane.com/stores/{store_id}/?customer_name=Andrew&customer_phone=5555555555
```

![](https://lh5.googleusercontent.com/zLeQagkP_0IBOcI2XqHzhI_Vf0KazNnrn_IV0qZUvamyA8qqhleRGTE5Bb4MEeF7gf18nA33j4oSPoxNyyKyjTscAz3ts2W2ILzD_e6rmcZ6LIeUZkacIj57bG4-FD18VNvY4zQk)

## Custom redirect after checkout

You may pass in a redirect link that will automatically redirect the user to the specified link after checkout

1. To do so, pass in a `/?redirect_link` param, e.g.:&#x20;

```
express.iheartjane.com/stores/{store_id}/?customer_name=Andrew&customer_phone=5555555555&redirect_link=https://www.google.com
```

**Please make sure to pass in the https\:// component of the URL into the query param**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iheartjane.com/jane-docs/embeds/kiosk-checkout-customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
